Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.log
Class ActionLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.logging.log.CompositeLog
              org.jbpm.graph.log.ActionLog

All Implemented Interfaces:
  java.io.Serializable

    public class ActionLog

extends CompositeLog

See Also:
  Serialized Form

Field Summary
`protected Action` | `action`
`protected java.lang.String` | `exception`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`ActionLog()`
`ActionLog(Action action)`

Method Summary
`Action` | `getAction()`
`java.lang.String` | `getException()`
`void` | `setAction(Action action)`
`void` | `setException(java.lang.Throwable exception)`
`java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class org.jbpm.logging.log.CompositeLog
`addChild, getChildren, setChildren`

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### action

    protected Action action

### exception

    protected java.lang.String exception

Constructor Detail

### ActionLog

    public ActionLog()

### ActionLog

    public ActionLog(Action action)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `ProcessLog`
  provides a text description for this update which can be used e.g. in the admin web console.

  Overrides:
    `toString` in class `CompositeLog`

### setException

    public void setException(java.lang.Throwable exception)

### getAction

    public Action getAction()

### setAction

    public void setAction(Action action)

### getException

    public java.lang.String getException()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD